description

# X509Certificate class Null safety

X509Certificate represents an SSL certificate, with accessors to get the fields of the certificate.

## Properties

der → Uint8List
  The DER encoded bytes of the certificate.
  read-only
endValidity → DateTime
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
issuer → String
  read-only
pem → String
  The PEM encoded String of the certificate.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sha1 → Uint8List
  The SHA1 hash of the certificate.
  read-only
startValidity → DateTime
  read-only
subject → String
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited